Bug 101599 - [BAT][BLB] igt@kms_flip@basic-flip-vs-wf_vblank fails in CI
Summary: [BAT][BLB] igt@kms_flip@basic-flip-vs-wf_vblank fails in CI
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high critical
Assignee: Martin Peres
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-26 13:15 UTC by Martin Peres
Modified: 2017-09-25 07:12 UTC (History)
2 users (show)

See Also:
i915 platform: I945GM
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2017-06-26 13:15:20 UTC
Starting from CI_DRM_2765, the test igt@kms_flip@basic-flip-vs-wf_vblank started being run on fi-blb-e6850.

After 5 successful runs, the test failed with the following message:

(kms_flip:3563) CRITICAL: Test assertion failure function calibrate_ts, file kms_flip.c:1207:
(kms_flip:3563) CRITICAL: Failed assertion: ev.sequence == last_seq + 1
(kms_flip:3563) CRITICAL: error: 14892 != 14891
Subtest basic-flip-vs-wf_vblank failed.
**** DEBUG ****
(kms_flip:3563) DEBUG: Test requirement passed: (flags & TEST_HANG) == 0 || !is_wedged(drm_fd)
(kms_flip:3563) DEBUG: Test requirement passed: modes
(kms_flip:3563) INFO: Beginning basic-flip-vs-wf_vblank on pipe A, connector VGA-1
(kms_flip:3563) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_flip:3563) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_flip:3563) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_flip:3563) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=3, pitch=7680)
(kms_flip:3563) igt-kms-INFO:   1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
(kms_flip:3563) CRITICAL: Test assertion failure function calibrate_ts, file kms_flip.c:1207:
(kms_flip:3563) CRITICAL: Failed assertion: ev.sequence == last_seq + 1
(kms_flip:3563) CRITICAL: error: 14892 != 14891
****  END  ****

Full logs: https://intel-gfx-ci.01.org/CI/CI_DRM_2770/fi-blb-e6850/igt@kms_flip@basic-flip-vs-wf_vblank.html
Comment 1 Elizabeth 2017-06-27 14:41:48 UTC
Adding tag into "Whiteboard" field - ReadyForDev
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 2 Jani Saarinen 2017-08-01 06:19:58 UTC
Fail seen last 	2017-06-26. Should we close this or fix also dmesg warn?
Comment 3 Ricardo Madrigal 2017-08-03 18:54:04 UTC
Hi Martin.

There are news about this issue ?
Could we close it?

I will be waiting for your comments.
Greetings.
Comment 4 Martin Peres 2017-08-03 20:26:14 UTC
(In reply to Ricardo Madrigal from comment #3)
> Hi Martin.
> 
> There are news about this issue ?
> Could we close it?
> 
> I will be waiting for your comments.
> Greetings.

What has changed? Check out cibuglog's history for the bug. It is definitely a bug with a low reproducibility: https://intel-gfx-ci.01.org/cibuglog/index.html%3Faction_failures_history=-1&failures_test=igt@kms_flip@basic-flip-vs-wf_vblank&failures_machine=fi-skl-6770hq.html

Closing the bug won't make the problem go away. Unless a dev gives me a valid reason to close it (patches got merged which should fix the issue), I will keep this one open for at least another two hundred runs.

Generally, leave [BAT] bugs alone. I have CI bug log reminding me every day that this is still an issue and I check up on them regularly.  Of course, if they are really old and without any activity coming from developers for multiple months, then it is good to ping about the state ;)

You should definitely check out cibuglog though, when you have time: https://intel-gfx-ci.01.org/cibuglog/
Comment 5 Daniel Vetter 2017-08-03 20:37:18 UTC
Yeah, BAT bugs need to be escalated to engineering managers when there's no action to get this stuff fixed, not attempted to close them.
Comment 6 Jani Saarinen 2017-09-25 07:11:50 UTC
Resolving as this is not seen.
CI_DRM_2770: 2017-06-26 / 330 runs ago	

https://intel-gfx-ci.01.org/cibuglog/index.html%3Faction_failures_history=175.html
Comment 7 Jani Saarinen 2017-09-25 07:12:51 UTC
Archived on cibuglog


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.